Name: Clight
Version: 4.9
Release: 1%{?dist}
Summary: A C daemon that turns your webcam into a light sensor. It will adjust screen backlight based on ambient brightness.

License: GPL-3.0
URL: https://github.com/FedeDP/clight
Source0: https://github.com/FedeDP/Clight/archive/refs/tags/4.9.tar.gz

BuildRequires:  cmake
BuildRequires:  g++
BuildRequires:  systemd-devel
BuildRequires:  popt-devel
BuildRequires:  libconfig-devel
BuildRequires:  gsl-devel
BuildRequires:  dbus-devel
BuildRequires:  libmodule
BuildRequires:  bash-completion

Requires: systemd
Requires: popt
Requires: gsl
Requires: libconfig
Requires: libmodule
Requires: Clightd

%global debug_package %{nil}

%description
A C daemon that turns your webcam into a light sensor. It will adjust screen backlight based on ambient brightness.

%prep
%setup

%build
mkdir -p build
cd build
cmake -G "Unix Makefiles" -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_LIBDIR=%{_lib} -DCMAKE_BUILD_TYPE="Release" ..
make

%install
cd build
%make_install

%files
%license COPYING
%doc README.md
%{_sysconfdir}/default/clight.conf
%{_bindir}/clight
%{_sysconfdir}/xdg/autostart/clight.desktop
%{_includedir}/clight/public.h
%{_datadir}/applications/clightc.desktop
%{_datadir}/bash-completion/completions/clight
%{_datadir}/clight
%{_datadir}/dbus-1/services/org.clight.clight.service
%{_datadir}/icons/hicolor/scalable/apps/clight.svg
%{_mandir}/man1/clight.1.gz
%{_datadir}/zsh/site-functions/_clight

%changelog
* Fri Feb  3 2023 James Reed <james@twiddlingbits.net> - 4.9-1
- Initial package
